Subject: Re: [6lo] review of 6lo use cases draft

From: Laurent Toutain <[email-masked]>
Date: Mon, 2 Mar 2020 10:43:31 +0100

Hi YongGeun,

Here is my review of the PLC document. It is a valuable document with a
good synthesize of different standards.It helps to understand the
environment and apply 6lo.

§ 3.3 MTU

As you say, L2 hides frame size through its own fragmentation procedure,
maybe it good be good to remind that these protocols offer different
modulations and MTU associated with these modulations.
It may have an impact on performance.

$ 3.4 Routing Protocols

I don't understand the classification, RPL and LOADng can be compared, but
the middle item is more linked to a specification than a protocol.

§ 4.4 ND

This part seems to focus on a PLC network with route-over. Is mesh-under
behavior is still accurate? will it change the ND behavior?

§5 Internet Connectivity.

I don't understand the use of LPWAN for Internet connectivity. It does not
appear in figure 5.

Hope it helps,

See you

Laurent

On Tue, Feb 25, 2020 at 3:56 AM Yong-Geun Hong <[email-masked]>
wrote:

> Dear Dominique.
>
> Thanks for your valuable comments.
> These comments will be helpful to improve the draft.
>
> Please, find my response inlines.
>
> I will update the draft to resolve the comments in a next revision.
>
> Best regards.
>
> Yong-Geun.
>
> On Mon, Feb 24, 2020 at 5:16 PM <[email-masked]> wrote:
>
>> Hello all,
>>
>> I have read https://tools.ietf.org/html/draft-ietf-6lo-use-cases-08 .
>> I found it easy to read and informative.
>> Here are a few comments for your consideration:
>>
>>    - I don't think there should be any RFC2116 language in this draft,
>>    since it describes use cases. I spotted MAY and SHOULD in Sections 1 and 5.
>>
>>              [Yong-Geun] Yes, in Section 1 and 5, you can find MAY and
> SHOULD. As you mention that it describes use cases, we will update the
> usage of MAY and SHOULD.
>
>>
>>    - The bullet list at the end of section 1 is unbalanced: 2 items are
>>    full sentences, 2 are just nominal groups
>>
>>              [Yong-Geun]  Yes, the current four items are unbalanced. I
> will balance the four items.
>
>>
>>    - Section 3.6 PLC: "wired technologies are more susceptible to cause
>>    interference". More than what technologies? Since wires are meant to guide
>>    energy, I would say that wired technologies cause less interference to the
>>    radio medium than wireless technologies, all other things being equal.
>>
>>               [Yong-Geun] Yes, you are right. I guess the existing
> sentence looks like a little ambiguous. The sentence you proposed looks
> like a more better. I will check again with PLC experts and update the
> sentence based on your suggestion.
>
>
>>    - Section 3.7 "In above clauses, various 6lo Link layer technologies
>>    and a possible candidate are described". Unclear which ones are the
>>    genuine 6lo technologies, which one is the possible candidate? Does it
>>    matter that one is only  "candidate"?
>>
>>              [Yong-Geun] Sorry, I forget the update of ‘possible
> candidate’ expression. In previous version (04) of this draft, it includes
> LTE MTC as one of example of a potential candidate but we decided to delete
> the potential candidate and focus on current 6lo link layer technologies. I
> will update the paragraph based on your comments.
>
>
>>
>>    - Section 3.7 "The following table shows that dominant paramters of
>>    each use case corresponding to the 6lo link layer technology".
>>    Incorrect sentence.
>>
>>              [Yong-Geun] Yes, this sentence includes typos and unclear
> expression. I will update.
>
>
>>
>>    - Table 2: looks like a mixture of technologies and applications.
>>    E.g. latency requirement = low for DECT-ULE, but only true for
>>    smart-metering, not for some other DECT-ULE use cases (home automation).
>>    Providing only one example of usage is a mis-representation of the
>>    technology.
>>
>>              [Yong-Geun] Thanks for your correction. To provide more
> correct information, it will be better to describe common (general)
> characteristics of each technology. But, in some point, we have a
> difficulty to capture common characteristics of each technology for
> different application in limited space. That is the reason why we mentioned
> the usage of each technology in the first row.. I will discuss other
> authors and try to find best way.
>
>
>>
>>    - In what respect are section 4 and 6 different? They both have
>>    descriptions of technology and use cases. Could they be merged?
>>
>>              [Yong-Geun] I agree that you can guess the section 4 and
> section 6 had no big difference. The main intention of section 6 is to
> provide 6lo use case examples of each 6lo link layer technology. But, in
> the section 6, we cannot guarantee the real deployment of described use
> case examples. That’s the reason why we provided the section 4. The main
> intention of section 4 is to provide *real* and *real* 6lo deployment
> scenarios and it includes G3-PLC and Netricity. So, the purpose of section
> 4 and section 6 is different. In my opinion, it is better to keep the
> separated sections.
>
>
>
>>
>>    - Section 10.1, Normative References. I wonder if this draft, being a
>>    use case description, should have any normative reference at all (except
>>    maybe for RFC2119). I'm not sure, seek advice.
>>
>>              [Yong-Geun] Thanks for your suggestion. The main Normative
> reference are related in section 5 Guidelines for adopting IPv6 stack. As
> you suggest, I will check again and seek advice.
>
>
>
>> Best regards
>>
>> Dominique
>>
>> _________________________________________________________________________________________________________________________
>>
>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>>
>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>> they should not be distributed, used or copied without authorisation.
>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>> Thank you.
>>
>> _______________________________________________
>> 6lo mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/6lo
>>
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo
>

---

From: Yong-Geun Hong <[email-masked]>
Date: Tue, 3 Mar 2020 10:53:00 +0900

Dear Laurent Toutain.

Thanks for your comments. Your valuable comments are helpful to improve the
draft.

I guess you reviewed both of 6lo use cases draft(draft-ietf-6lo-use-cases)
and 6lo PLC draft (draft-ietf-6lo-plc) and your comments are mixed between
two drafts.

Although this email thread is related to 6lo use cases draft, I try to
reply your comments and deliver your comments for the regarding of 6lo PLC
draft to other authors of 6lo PLC draft. Please, find my answers inlines.

Best regards.

Yong-Geun.

> environment and apply 6lo.
[Yong-Geun] Thanks for your comments. That is the motivation of the 6lo use
cases draft.

> It may have an impact on performance.
[Yong-Geun] Thanks. I agree to remind. It will be better to apply this
sentence both of two drafts.

> the middle item is more linked to a specification than a protocol.
[Yong-Geun] Thanks. I guess this comment is only related to 6lo PLC draft.
I understand your point. It will be more better to find another approach of
classification or description.

> behavior is still accurate? will it change the ND behavior?
[Yong-Geun] Thanks. I guess this comment is only related to 6lo PLC draft.
I will check again.

> I don't understand the use of LPWAN for Internet connectivity. It does not
[Yong-Geun] Thanks. This comment is only related to 6lo PLC draft. I guess
the usage of LPWAN is for description of the connection to the outside
networks such as Ethernet. As you comment, it will be more better to note
LPWAN in the Figure 5 or modify the content.

>>>    - Section 10.1, Normative References. I wonder if this draft, being
>>>    a use case description, should have any normative reference at all (except